# Retrieve payment run data Retrieves payment run data and the processing result with details, if the data field was specified in the Create payment run operation. Endpoint: GET /v1/payment-runs/{paymentRunKey}/data Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `paymentRunKey` (string, required) The unique ID of a payment run or the payment run number. For example, 402890245f097f39015f0f074a2e0566. ## Response 200 fields (application/json): - `data` (array) Container for payment run data. Each element in the array is a record processed by the payment run. - `data.accountId` (string) The customer account ID specified in the data field when creating the payment run. - `data.accountNumber` (string) The customer account number specified in the data field when creating the payment run. - `data.amount` (number) The amount specified in the data field when creating the payment run. null is returned if it was not specified. - `data.amountCollected` (number) The amount that is collected. - `data.amountToCollect` (number) The amount to be collected. - `data.comment` (string,null) The comment specified in the data field when creating the payment run. null is returned if it was not specified. - `data.currency` (string) This field is only available if support for standalone payments is enabled. The currency of the standalone payment. The currency of the standalone payment can be different from the payment currency defined in the customer account settings. - `data.documentId` (string) The billing document ID specified in the data field when creating the payment run. null is returned if it was not specified. - `data.documentNumber` (string) The billing document number specified in the data field when creating the payment run. null is returned if it was not specified. - `data.documentType` (string) The billing document type specified in the data field when creating the payment run. null is returned if it was not specified. Enum: "Invoice", "DebitMemo" - `data.errorCode` (string) The error code of the response. - `data.errorMessage` (string) The detailed information of the error response. - `data.paymentGatewayId` (string,null) The payment gateway ID specified in the data field when creating the payment run. null is returned if it was not specified. - `data.paymentMethodId` (string) The payment method ID specified in the data field when creating the payment run. null is returned if it was not specified. - `data.result` (string) Indicates whether the data is processed successfully or not. Enum: "Processed", "Error" - `data.standalone` (boolean) This field is only available if the support for standalone payment is enabled. The value true indicates this is a standalone payment that is created and processed in Zuora through Zuora gateway integration but will be settled outside of Zuora. No settlement data will be created. The standalone payment cannot be applied, unapplied, or transferred. - `data.transactions` (array) Container for transactions that apply to the current request. Each element contains an array of the settlement/payment applied to the record. - `data.transactions.amount` (number) The total amount of the newly generated payment. Note: This field is only available if type is Payment. - `data.transactions.appliedAmount` (number) The amount allocated to this data record. - `data.transactions.errorCode` (string) The error code of the response. Note: This field is only available if type is Payment. - `data.transactions.errorMessage` (string) The detailed information of the error response. Note: This field is only available if type is Payment. - `data.transactions.id` (string) The ID of the current transaction. - `data.transactions.status` (string) The status of the newly generated payment. Note: This field is only available if type is Payment. Enum: "Processed", "Processing", "Error" - `data.transactions.type` (string) The type of the current transaction. Enum: "Payment", "CreditMemo", "UnappliedPayment", "CreditBalanceAdjustment" - `success` (boolean) Returns true if the request was processed successfully.